// MyAppDoc.cpp : implementation of the CMyAppDoc class
//

#include "stdafx.h"
#include "MyApp.h"

#include "MyAppDoc.h"
#include "EditDataDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMyAppDoc

IMPLEMENT_DYNCREATE(CMyAppDoc, CDocument)

BEGIN_MESSAGE_MAP(CMyAppDoc, CDocument)
	//{{AFX_MSG_MAP(CMyAppDoc)
	ON_COMMAND(ID_DATA_EDIT, OnDataEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMyAppDoc construction/destruction

CMyAppDoc::CMyAppDoc()
{
	// TODO: add one-time construction code here
    m_nLines = 20; 
    m_string = "This is a very long string designed to take up lots of space"; 
}

CMyAppDoc::~CMyAppDoc()
{
}

BOOL CMyAppDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CMyAppDoc serialization

void CMyAppDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
      ar << m_nLines; 
      ar << m_string;
	}
	else
	{
      ar >> m_nLines; 
      ar >> m_string; 
	}
}

/////////////////////////////////////////////////////////////////////////////
// CMyAppDoc diagnostics

#ifdef _DEBUG
void CMyAppDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CMyAppDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMyAppDoc commands

void CMyAppDoc::OnDataEdit() 
{
  CEditDataDialog aDlg;

  aDlg.m_nLines = m_nLines;
  aDlg.m_strLineText = m_string;  

  if(aDlg.DoModal())
  {
   m_nLines = aDlg.m_nLines;
   m_string = aDlg.m_strLineText; 
   UpdateAllViews(NULL);
   SetModifiedFlag();
  }
	
}

void CMyAppDoc::DeleteContents() 
{
	// TODO: Add your specialized code here and/or call the base class
    m_nLines = 0; 
    m_string = "";	
	CDocument::DeleteContents();
}
